Auto Multiple Choice - Bug # 300: 'Choose Latex Source' dialog is not displayed properly

Status: Closed Priority: Normal

Author: Anirvan Sarkar Category: Graphical Interface
Created: 08/20/2014 Assignee: Anirvan Sarkar
Updated: 04/15/2017 Due date:

Description: Before commit:891ab1b:

IChoose_Latex_Source_Before_891ab1b.png!

After commit:891ab1b:

IChoose_Latex_Source_After__891ab1b.png!

There is some extra black region at the bottom of the dialog.

History

08/20/2014 08:07 pm - Anirvan Sarkar

- Description changed from Before commit:891ab1b:

IChoose_Latex_Source Before 891ab1b.png!

After commit:891ab1b:

IChoose_Latex_Source_After 891ab1b.png!

There is some extra black region at the bottom of the dialog. to Before commit:891ab1b:

IChoose_Latex_Source_Before _891ab1b.png!

After commit:891ab1b:

IChoose_Latex_Source_After _891ab1b.png!

There is some extra black region at the bottom of the dialog.

08/25/2014 02:12 pm - Alexis Bienveniie

This black region does not show on my system (gnome3). Can you try playing with the few options of the window or widgets with <pre>glade

AMC-gui-source_latex_dialog.glade</pre> to find how to remove this black area?

08/25/2014 07:20 pm - Anirvan Sarkar
- File Latex_Choice_Dialog Valign_Removed.png added

- File AMC-gui-source_latex_dialog.glade added

- File New_Choose_Latex_Source_Dialog.png added

After some tinkering | found that changing the vertical alignment of GtkDialog from @Start@ to @Fill@ seems to resolve the black region.

ILatex_Choice_Dialog_Valign_Removed.png!
But there is still a lot of empty space below the buttons, which Gtk automatically assigns (and can't be removed), as we have enabled line wrap on the

labels. So | am thinking of creating a fixed sized dialog to prevent layout issues.

| am attaching a modified version of @AMC-gui-source_latex_dialog.glade@ which creates a fixed size dialog.

In this | have removed the GtkGrid and used its parent GtkBox as the layout container itself. Also previously clicking on the description labels did not

change the state of radio buttons. | have now used a custom content for the radio buttons so that clicking on labels changes the its state.

So here is how the new 'Choose Latex Source' dialog looks like:

INew_Choose_Latex_Source_Dialog.png!

Can you check if it works for you on your system?

08/25/2014 07:28 pm - Alexis Bienveniie

> Can you check if it works for you on your system?

This is perfect for me too.

08/25/2014 07:52 pm - Anirvan Sarkar
Updated in commit:fb0ae0d.

Also there was a typo in the dialog. | had written 'containing the' two times in the description for *Archive*. lts fixed in this commit.

08/25/2014 07:53 pm - Anirvan Sarkar
- Assignee set to Anirvan Sarkar

04/15/2017 03:58 pm - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from New to Closed
